This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 249852 - repoquery -C doesn't work once yum has unpacked the sqlite
repoquery -C doesn't work once yum has unpacked the sqlite
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-27 09:48 EDT by Bill Nottingham
Modified: 2014-03-16 23:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-27 10:18:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-07-27 09:48:22 EDT
Description of problem:


[root@nostromo ~]# ls /var/cache/yum/development
cachecookie  filelists.sqlite  packages  primary.sqlite  repomd.xml
[root@nostromo ~]# repoquery -C -q --whatrequires aspell --alldeps --repoid
development
Loading "skip-broken" plugin
Running from cache, results might be incomplete.
Caching enabled but no local cache of
//var/cache/yum/development/filelists.sqlite.bz2 from development

Shouldn't it work on the uncompressed sqlite as long as it matches the checksum
in repomd.xml, regardless on whether or not the compressed version exists?

Version-Release number of selected component (if applicable):

yum-utils-1.1.5-1.fc8
yum-3.2.2-3.fc8
Comment 1 Bill Nottingham 2007-07-27 10:18:55 EDT
Whoops, uncompressed did not match repomd.xml. Fixed that, and it works.

Note You need to log in before you can comment on or make changes to this bug.